/* _________________________________________________________________________________________________________ //
  Copyright  1992-93 Apple Computer, Inc. All rights reserved.
  Macintosh Developer Technical Support.C++ Macintosh Toolbox Framework.
  Date: 11/15/92
  Revision comments are at the end of this file.
  ---
  C++ Application shell.
  ApplicationResources contains the common resource values for both resources and code.
  This header file is used from both code and resource files, that's why we are using #defines.
  _________________________________________________________________________________________________________ */



// Define all the default application resource values

// _________________________________________________________________________________________________________ //
// MENU VALUES
// Note that each menu entry has a specified command number, where you just add the menu entry to the
// menu itself, as in mApple = 128, and cAbout 1, and CaboutCommand = 1281. If you have more than 9 menu
// entries, then just continue with 10, 11, as in 12910 (where mFile is 129).

// MBAR itself
#define mAppMBAR 				100

// Apple menu
#define	mApple					128		
#define	cAbout					1
#define cAboutCommand			1281

// File menu
#define	mFile					129	
#define	cNew					1
#define cNewCommand				1291
#define COpen					2
#define cOpenCommand			1292
// --- 3
#define	cClose					4
#define cCloseCommand			1294
#define cSave					5	
#define cSaveCommand			1295
#define cSaveAs					6
#define cSaveAsCommand			1296
#define cRevert					7
#define cRevertCommand			1297
// --- 8
#define cPageSetup				9
#define cPageSetupCommand		1299
#define cPrint					10
#define cPrintCommand			12910
// --- 11 
#define	cQuit					12
#define cQuitCommand			12912


// Edit menu
#define	mEdit					130
#define	cUndo					1
#define cUndoCommand			1301
#define	cCut					3
#define cCutCommand				1303
#define	cCopy					4
#define cCopyCommand			1304
#define	cPaste					5
#define cPasteCommand			1305
#define	cClear					6
#define cClearCommand			1306



// _________________________________________________________________________________________________________ //
// APPLE EVENTS

#define kCoreAEDispatchTable	500		// Core events 'aedt' resource
#define cAppleEventReply		501

#define kGUIAEDispatchTable		600



// _________________________________________________________________________________________________________ //
// USER INTERACTION RESOURCES

#define kUserAlert				100		// our default user alert for presenting core problems


// _________________________________________________________________________________________________________ //


/*	Change History (most recent last):
  No		Init.	Date		Comment
  1			khs		11/15/92	New file
  2			khs		1/14/93		Cleanup
*/
