/* _________________________________________________________________________________________________________ //
  Copyright  1992 Apple Computer, Inc. All rights reserved.
  Macintosh Developer Technical Support.C++ Macintosh Toolbox Framework.
  Originator: Kent Sandvik
  Date: Wednesday, June 10, 1992 22:37:30
  Revision comments are at the end of this file.
  ---
  TFoo is an XXX class (define the class here).
  Template.cp contains the class body information for the TFoo class member functions.
  _________________________________________________________________________________________________________ */

// Include here the one and only C++ class header file
// Include files
#ifndef _FOO_
#include "Template.h"
#endif


// _________________________________________________________________________________________________________ //
// TFoo class member function implementations

//	CONSTRUCTORS & DESTRUCTORS
#pragma segment Foo		//  Note that we use the same segment name as the file name for all member functions!  					 
TFoo::TFoo()
// Default constructor.
{
}



#pragma segment Foo
TFoo::~TFoo()
// Destructor, we are not doing anything inside this one just now.
{
}


//	 MAIN INTERFACE
#pragma segment Foo
Boolean TFoo::KillApplication(ProcessSerialNumber*/*thePSN*/ )
// Quit the application which is defined by the PSN
{
	return true;
}


#pragma segment Foo
short TFoo::GetNumProcesses()
// Get the amount of currently running processes.
{
	return (short)4;
}



//	PUBLIC ACCESSORS AND MUTATORS			

#pragma segment Foo  					 
ProcessSerialNumber TFoo::GetMyProcessID() const
{
	return fMyProcessID;
}


// ITERATORS

#pragma segment Foo  					 
void TFoo::Next()
{
}


#pragma segment Foo  					 
Boolean TFoo::Last()
{
	return fLast;
}


#pragma segment Foo  					 
void TFoo::First()
{
	fProcessID = fFirstPSN;
}

#pragma segment Foo
void TFoo::Reset()
{
}

//  Specify here the change history
// _________________________________________________________________________________________________________ //

/*	Change History (most recent last):
  No		Init.	Date		Comment
  1			khs		6/10/92		New file
  2			khs		7/6/92		First decent working class
*/
