/* _________________________________________________________________________________________________________ //
  Copyright  1992 Apple Computer, Inc. All rights reserved.
  Macintosh Developer Technical Support.C++ Macintosh Toolbox Framework.
  Programmer: Kent Sandvik
  Date: 9/26/92
  Revision comments are at the end of this file.
  ---
  TUserTermination is a command dot tracking class, used for finding out if the end user wants to stop
  an action. Most of the code is based on earlier snippet by Dave Radcliffe/DTS.
  TUserTerminationTest .cp contains the class testing functions.
  _________________________________________________________________________________________________________ */

#include "UserTermination.h"

// This test will create one TUserTermination class on the stack, and abort when the
// user hits "command-.".

void main(void)
{
	cout << "Start of TUserTermination test\n";

	TUserTermination myTerminator;

	// run a loop, terminate when command-dot is pressed
	Boolean pressed = false;
	while (!pressed)
	{
		pressed = myTerminator.Abort();
	}

	cout << "End of TUserTermination test\n";
}

// _________________________________________________________________________________________________________ //

/*	Change History (most recent last):
  No		Init.	Date		Comment
  1			khs		9/26/92		New file
*/
