#   File:       testmenus.make
#   Target:     testmenus
#   Sources:    MenuAppTest.cp
#               Menu.cp
#               Environment.cp
#               Application.cp
#               AppleEvent.cp
#               Window.cp
#   Created:    Sunday, November 22, 1992 5:39:50


OBJECTS = 
		DTSCPlusLibrary.cp.o 
		Menu.cp.o 
		Environment.cp.o 
		Application.cp.o 
		AppleEvent.cp.o 
		Window.cp.o 
		GraphicsEnv.cp.o 
		GraphicsEnvTest.cp.o


# LINK STAGE
testGraf  testmenus.make {OBJECTS}
	Link -mf -t APPL -c JEFF -sym on -mf 
		{OBJECTS} 
		"{CLibraries}"CSANELib.o 
		"{CLibraries}"Math.o 
		"{CLibraries}"CplusLib.o 
		#"{CLibraries}"Complex.o 
		"{CLibraries}"StdCLib.o 
		"{Libraries}"Runtime.o 
		"{Libraries}"Interface.o 
		-o testGraf

	
# SOURCE CODE
DTSCPlusLibrary.cp.o  testGraf.make DTSCPlusLibrary.cp
	 CPlus -mf -sym on DTSCPlusLibrary.cp
Menu.cp.o  testGraf.make Menu.cp
	 CPlus -mf -sym on Menu.cp
Environment.cp.o  testGraf.make Environment.cp
	 CPlus -mf -sym on Environment.cp
Application.cp.o  testGraf.make Application.cp
	 CPlus -mf -sym on Application.cp
AppleEvent.cp.o  testGraf.make AppleEvent.cp
	 CPlus -mf -sym on AppleEvent.cp
Window.cp.o  testGraf.make Window.cp
	 CPlus -mf -sym on Window.cp
GraphicsEnv.cp.o  testGraf.make GraphicsEnv.cp
	 CPlus -mf -sym on GraphicsEnv.cp
GraphicsEnvTest.cp.o  testGraf.make GraphicsEnvTest.cp
	 CPlus -mf -sym on GraphicsEnvTest.cp


# RESOURCES
testGraf	 GUIApplication.r ApplicationResources.h testGraf.make
		Rez -rd -o {Targ} GUIApplication.r -append
